<?php
/*
Plugin Name: SingleZitat
Plugin URI: http://www.singlezone.de/singlezitat/
Description: Stellt ein zufaelliges Zitat fuer Singles dar, ausgewaehlt aus einer Datenbank mit 100 Vorteilen Single zu sein. Einfach [singlezitat] in den Quellcode einfuegen, z.B. als Text-Widget in der Sidebar von Wordpress oder in einen Artikel/in eine Seite

Version: 0.9
Author: SingleZone.de
Author URI: http://www.singlezone.de/
*/

function get_quote()
{
	$file_path = "zitate.txt";
	$zitate = (ABSPATH . "wp-content/plugins/singlezitat/" . $file_path);
	{
			$linesize = file("$zitate");
			$ein_zitat = rand(0, sizeof($linesize)-1);
			$quote = "<i>".$linesize[$ein_zitat] . "</i>";                   
	}
	$quote .= '<br/><span style="font-size: xx-small;">Powerered by <a title="Tipps, Erfahrungen, Vergleiche fuer Singles" href="http://www.singlezone.de">SingleZone.de</a>.</span>';
	return $quote;
}


function singlezitat ($content = '') 
{
	$quote = get_quote();
	$content = str_replace("[singlezitat]",$quote,$content);
	return $content;
}

function singlezitat_init()
{
	function singlezitat_widget($args)
	{
		echo $before_widget;
		echo $before_title;
		echo "<h3>Vorteil als Single</h3>";
		echo $after_title;
		echo get_quote();
		echo $after_widget;
	}

	function replace_widget_text($text)
	{
		$quote = get_quote();
		$text = str_replace("[singlezitat]",$quote,$text);
		return $text;
	}

	add_filter('widget_text','replace_widget_text');
	add_filter('widget_title','replace_widget_text');

	wp_register_sidebar_widget(
		'singlezitat',				// ID
		'Singlezitat',				// Title
		'singlezitat_widget',		// call back
		array('description' =>		// option: description
			'Stellt einen Vorteil als Single dar'));	// 
}


add_filter('the_content','singlezitat');
add_action('init','singlezitat_init');

?>
